Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Atk::StreamableContent Class Reference

An AtkStreamableContent C++ wrapper class. More...

`#include <inti/atk/streamablecontent.h>`

Inheritance diagram for Inti::Atk::StreamableContent:

List of all members.

## Public Member Functions

Accessors

- AtkStreamableContent * atk_streamable_content () const
    Get a pointer to the AtkStreamableContent structure.
- AtkStreamableContentIface * atk_streamable_content_iface () const
    Get a pointer to the AtkStreamableContentIface structure.
- operator AtkStreamableContent * () const
    Conversion operator; safely converts a StreamableContent to an AtkStreamableContent pointer.
- int get_n_mime_types () const
    Gets the number of mime types supported by this object.
- String get_mime_type (int i) const
    Gets the character string of the specified mime type.
- GIOChannel * get_stream (const String &mime_type) const
    Gets the content in the specified mime type.

## Protected Member Functions

Constructors

- virtual ~StreamableContent ()=0
    Destructors.

## Detailed Description

An AtkStreamableContent C++ wrapper class.

StreamableContent is an interface which provides access to streamable content.

## Member Function Documentation

String Inti::Atk::StreamableContent::get_mime_type | ( | int | i | ) | const

  | Gets the character string of the specified mime type. Parameters:
  i | An integer representing the position of the mime type starting from 0.
Returns: A string representing the specified mime type. The first mime type is at position 0, the second at position 1, and so on.

int Inti::Atk::StreamableContent::get_n_mime_types | ( |  | ) | const

| Gets the number of mime types supported by this object. Returns: an integer which is the number of mime types supported by the object.

GIOChannel* Inti::Atk::StreamableContent::get_stream | ( | const String & | mime_type | ) | const

  | Gets the content in the specified mime type. Parameters:
  mime_type | A string representing the mime type.
Returns: A GIOChannel which contains the content in the specified mime type.

The documentation for this class was generated from the following file:

- streamablecontent.h

Main Page - Footer